:root {
    --lm-border: 1px #962024 solid;
    --rz-sidebar-toggle-border: var(--lm-border);
    --rz-profile-menu-border: var(--lm-border);
    --rz-header-border: var(--lm-border);
    --rz-body-background-color: white;
    --rz-tooltip-background-color: var(--rz-secondary-light);
    --rz-fieldset-mobile-padding: var(--rz-fieldset-top-padding) 0 0 0;
    --rz-col-hide-xs: 100vw;
    --rz-col-hide-sm: 100vw;
    --rz-col-hide-md: 100vw;
    --rz-col-hide-lg: 100vw;
    --rz-col-hide-xl: 100vw;
    --rz-col-hide-xx: 100vw;
}

@media (max-width: 575px) {
    :root {
        --rz-input-font-size: 16px;
    }
}

:root {
    --rz-series-overlay-alpha: 1;
    --rz-series-overlay-1: 55, 109, 245;
    --rz-series-overlay-2: 100, 223, 223;
    --rz-series-overlay-3: 246, 135, 105;
    --rz-series-overlay-4: 193, 97, 226;
    --rz-series-overlay-5: 253, 208, 122;
    --rz-series-overlay-6: 248, 98, 155;
    --rz-series-overlay-7: 116, 208, 98;
    --rz-series-overlay-8: 132, 167, 255;
    --rz-series-overlay-9: 77, 153, 249;
    --rz-series-overlay-10: 140, 236, 236;
    --rz-series-overlay-11: 250, 183, 147;
    --rz-series-overlay-12: 218, 136, 238;
    --rz-series-overlay-13: 254, 227, 171;
    --rz-series-overlay-14: 251, 137, 195;
    --rz-series-overlay-15: 162, 227, 137;
    --rz-series-overlay-16: 181, 202, 255;
    --rz-series-overlay-17: 23, 80, 243;
    --rz-series-overlay-18: 70, 215, 215;
    --rz-series-overlay-19: 244, 110, 76;
    --rz-series-overlay-20: 179, 67, 219;
    --rz-series-overlay-21: 253, 197, 95;
    --rz-series-overlay-22: 246, 68, 133;
    --rz-series-overlay-23: 88,197, 68;
    --rz-series-overlay-24: 106, 147, 255;
    --rz-primary-overlay: 194 40 43;
    --rz-secondary-overlay: 52 149 167;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }



/* Set All SVG tags to not have default size*/
svg:not([id^=bt-dropin] svg,mapbox-search-listbox svg,mapbox-address-confirmation svg) {
    width: 100%;
    height: auto;
    fill: currentColor;
    pointer-events: none;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.spinner {
    border: 16px solid silver;
    border-top: 16px solid #337AB7;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 700ms linear infinite;
    top: 40%;
    left: 55%;
    position: absolute;
}

.cursor-pointer {
    cursor: pointer;
}

.cursor-default {
    cursor: default;
}

.pretty-text {
    text-wrap: pretty;
}

@keyframes spin {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}

.rz-loading-image {
    position: absolute;
    left: 50%;
    top: 50%;
    font-size: 30px;
    z-index: 1;
    transform: translate(-50%, -50%);
}

.rz-loading-mask {
    z-index: 100;
}

    .rz-loading-mask .rz-progressbar-circular-background {
        fill: #fff;
    }

.rz-loading-mask, .rz-loading-color {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    position: absolute;
    top: 0;
    left: 0;
}

.rz-loading-color {
    background-color: #ffffff;
    opacity: 0.3;
}
/*Full Width Grid Header*/
.rz-data-grid.full-width-header .rz-group-header, .rz-data-grid.full-width-header .rz-custom-header {
    width: 100%;
}
/*For Display of Gift Card Numbers as Monospaced*/
.card-number {
    font-variant-numeric: tabular-nums lining-nums;
}

.rz-form-validation-error-container {
    position: relative;
    width: 100%;
    height: 0px;
}

    .rz-form-validation-error-container > .rz-message.rz-messages-error {
        position: absolute;
        padding: 0px 2px;
        top: -8px;
        left: 4px;
        background: white;
        z-index: 1;
    }

.rz-form-field-helper > .rz-form-validation-error-container {
    text-align: right;
}

    .rz-form-field-helper > .rz-form-validation-error-container > .rz-message.rz-messages-error {
        position: absolute;
        padding: 0px 2px;
        top: -10px;
        right: 0px;
        left: unset;
        background: white;
        z-index: 1;
        pointer-events: none;
    }

.rz-paginator {
    border-top: solid 1px #ecf0f5;
}

.rz-panel-menu .rz-navigation-menu .rz-navigation-item-wrapper {
    background-color: var(--rz-base-600);
}

.rz-panel-menu .rz-navigation-item-active:before, .rz-panel-menu .rz-navigation-item-wrapper-active:before {
    background-color: var(--rz-primary-dark);
    width: 6px;
}

.rz-panel-menu .rz-navigation-menu .rz-navigation-item-wrapper.rz-navigation-item-wrapper-active {
    background-color: var(--rz-base-500);
}

.rz-panel-menu .rz-navigation-menu .rz-navigation-item:first-child .rz-navigation-item-wrapper {
    box-shadow: inset 0px 1px 1px rgb(0 0 0 / 50%), inset 0px 2px 2px rgb(0 0 0 / 20%), inset 0px 2px 3px rgb(0 0 0 / 40%);
}

.rz-panel-menu .rz-navigation-menu .rz-navigation-item:last-child .rz-navigation-item-wrapper {
    border-bottom: solid 1px rgb(255 255 255 / 6%);
}
/*Expanded Row Error*/
.rz-data-row:has(div.order-errors) .rzi-chevron-circle-right:before {
    content: ' ';
}

.rz-data-row:has(div.order-errors) .rzi-chevron-circle-down:before {
    content: ' ';
}

.hidden-error-column {
    width: 0px !important;
    --rz-grid-right-cell-border: none;
    --rz-grid-header-cell-border: none;
}
/*Data Grid Row Selected Highlight Override*/
.rz-grid-table-striped tbody > tr.rz-state-highlight:not(.rz-expanded-row-content):nth-child(odd) > td {
    background-color: var(--rz-grid-background-color);
}

.rz-grid-table-striped tbody > tr.rz-state-highlight:not(.rz-expanded-row-content):nth-child(even) > td {
    background-color: var(--rz-grid-stripe-background-color);
}

.rz-selectable tbody tr.rz-data-row.rz-state-highlight .rz-cell-data {
    color: var(--rz-grid-cell-color);
}

.lmsv-mouseevent-bg-color-none:hover, .lmsv-mouseevent-bg-color-none:active, .lmsv-mouseevent-bg-color-none:focus {
    background-color: unset !important
}
/*Expanded Row Content*/
/*Make tabs that are too wide, scrollable*/
.rz-tabview-top.lmsv-scrolling-tabs .rz-tabview-nav {
    overflow: auto hidden;
    --rz-scrollbar-size: 2px !important;
    --rz-scrollbar-background-color: var(--rz-base-300) !important;
    margin-bottom: -1px;
}

    .rz-tabview-top.lmsv-scrolling-tabs .rz-tabview-nav::-webkit-scrollbar-thumb {
        border: none;
        min-height: 0px;
    }

.rz-tabview-top.lmsv-scrolling-tabs li:not(.rz-tabview-selected) {
    border-right-color: var(--rz-base-300);
}

.rz-tabview-title {
    cursor: pointer;
}
/*grid details mouse cursor*/
.rz-row-toggler {
    cursor: pointer;
}

.rz-expanded-row-content > td {
    background-color: var(--rz-base-400);
}

    .rz-expanded-row-content > td:has(.grid-detail-container) {
        padding: 0px;
    }

.rz-expanded-row-content .rz-expanded-row-content > td {
    background-color: var(--rz-base-300);
}

    .rz-expanded-row-content .rz-expanded-row-content > td > .rz-expanded-row-template h5 {
        color: var(--rz-text-title-color);
        text-shadow: 1px 1px 2px #fff;
    }

.grid-detail-container {
    overflow: auto;
    margin: var(--rz-grid-cell-padding);
}

.rz-expanded-row-content > td {
    box-shadow: inset 0px 1px 1px rgb(0 0 0 / 50%), inset 0px 2px 2px rgb(0 0 0 / 20%), inset 0px -1px 6px rgb(0 0 0 / 40%);
}

    .rz-expanded-row-content > td > .rz-expanded-row-template {
        background-color: unset;
        text-shadow: unset;
    }

        .rz-expanded-row-content > td > .rz-expanded-row-template h5 {
            color: white;
            text-shadow: 1px 1px 2px rgba(0,0,0, 0.6);
        }

.rz-datalist-content.rz-list-striped ul:nth-child(even) {
    --rz-datalist-item-background-color: var(--rz-grid-stripe-background-color);
}
/*Column Header Right Margin for right aligned columns with no filter or sort */
.rz-grid-table th.rz-text-align-right:not(.rz-sortable-column):not(:has(.rz-grid-filter-icon)) .rz-column-title-content {
    margin: var(--rz-grid-header-filter-icon-margin);
}
/*LMSV Card Styles */
.lmsv-card-header-text {
    color: var(--rz-primary-light);
    display: flex;
    margin: 1rem 0 0 0;
}

.line-break-anywhere {
    line-break: anywhere;
}

/*DateTime Search Field*/
.lmsv-search-field .rz-form-field-content {
    margin: 0px;
}

.lmsv-search-field .rz-form-field-end {
    padding-right: 0px;
}

.lmsv-search-field.search-collapsed .rz-textbox {
    display: none;
}

.lmsv-search-field.search-collapsed #search-close-button {
    display: none;
}

.lmsv-search-field .rz-secondary.rz-state-disabled {
    color: white;
}
/*ToolTip CSS Override*/
.tool-tip-info-bg .rz-tooltip-content {
    background: var(--rz-secondary-light);
}

.lmsv-no-pointer-events {
    pointer-events: none;
}
/*ToolTip CSS Position Override*/
.rz-tooltip-rtl .rz-tooltip-content {
    position: absolute;
    right: -34px;
    bottom: 0px;
}

.rz-tooltip-rtl.rz-tooltip .rz-top-tooltip-content:after {
    right: 12px;
    transform: translate(-50%, 50%) rotate(45deg);
    left: unset;
}
/*Breadcrumb icon margin*/
.rz-breadcrumb-item > .rzi {
    margin-right: 2px;
}

/*GridHeader Icon*/
.rz-column-title-content .rzi {
    position: absolute;
    top: calc(50% - .5em);
}

th.rz-text-align-center .rz-column-title-content .rzi {
    left: calc(50% - .5em);
}

th.rz-text-align-right .rz-column-title-content .rzi {
    right: var(--rz-grid-cell-padding);
}

}
/*FieldSet with 0 margins*/
@media (max-width: 575px) {
    :root {
        --rz-input-font-size: 1rem;
        --rz-fieldset-top-padding: 0;
    }

    .rz-fieldset {
        border: unset;
    }

        .rz-fieldset .rz-fieldset-content {
            padding: var(--rz-fieldset-mobile-padding);
            padding-top: var(--rz-fieldset-top-padding);
        }

        .rz-fieldset:has(.rz-fieldset-legend):not(.rz-fieldset-inset-break) {
            border-top: var(--rz-fieldset-border);
            --rz-fieldset-legend-margin: 0 0 0 0;
            --rz-fieldset-legend-padding: 0 .5rem 0 0;
            --rz-input-font-size: 1rem;
        }

    form .rz-fieldset .rz-fieldset-legend {
        font-weight: 600;
    }

    form .rz-fieldset:has(.rz-fieldset-legend):not(.rz-fieldset-inset-break) {
        border-top: var(--rz-fieldset-border);
        --rz-fieldset-legend-margin: 0 0 0 .5em;
        --rz-fieldset-legend-padding: 0 .5rem;
        --rz-input-font-size: 1rem;
    }

    form .rz-fieldset:has(.rz-fieldset-legend) .rz-fieldset-content {
        --rz-fieldset-top-padding: var(--rz-gap);
    }
}
/*Fieldset In a Fieldset*/
.rz-fieldset.rz-fieldset-inset-break {
    border: none;
    border-top: var(--rz-fieldset-border);
}

    .rz-fieldset.rz-fieldset-inset-break .rz-fieldset-content {
        padding: 0px;
        padding-top: 1rem;
    }

    .rz-fieldset.rz-fieldset-inset-break .rz-fieldset-content-wrapper {
        overflow: visible;
    }
/*FormField with RadzenMask*/
.rz-form-field-content:has(input[oninput^="Radzen.mask"].valid.modified) {
    border: 1px solid #26b050;
}

.rz-form-field-content:has(input[oninput^="Radzen.mask"].invalid) {
    border: 1px solid red;
}

.rz-form-field-content input[oninput^="Radzen.mask"].valid.modified {
    outline: unset;
}

.rz-form-field-content input[oninput^="Radzen.mask"].invalid {
    outline: unset;
}
/*FormField with RadzenDropdown and other components*/
.rz-form-field-content:has(div.rz-dropdown.valid.modified) {
    border: 1px solid #26b050;
}

.rz-form-field-content:has(div.rz-dropdown.invalid) {
    border: 1px solid red;
}

.rz-form-field-content div.rz-dropdown.valid.modified {
    outline: unset;
}

.rz-form-field-content div.rz-dropdown.invalid {
    outline: unset;
}

li.rz-dropdown-item.rz-state-disabled:has(.notOpaque) {
    opacity: 1;
    background-color: var(--rz-info);
    color: var(--rz-dropdown-item-hover-color);
    border-radius: 0;
}

:root {
    --lmsv-max-dropdown-height: 225px;
}

.rz-dropdown-items-wrapper {
    max-height: var(--lmsv-max-dropdown-height) !important;
}

@media (min-width: 1280px) and (max-width: 1600px) {
    .card-manage-submit-button button:not(.rz-state-disabled) .rzi {
        display: none
    }
}

@media (max-height: 500px), (max-width: 768px) {
    .rz-data-grid.rz-has-height {
        max-height: unset !important;
    }
}

.rz-fieldset {
    background: white;
}
/*Grid Expanded View Sticky Header*/
.rz-data-row:has(+tr.rz-expanded-row-content) {
    position: sticky;
    top: 36px;
    z-index: 3;
}

tr.rz-expanded-row-content ~ .rz-data-row {
    position: relative;
    z-index: 5;
}

.rz-grid-table:has(.rz-expanded-row-content) thead {
    z-index: 7;
}
/* TransactionGrid Hide Sortable and Filterable Functions at breakpoints */
@media (max-width: 575px) {
    .rz-sortable-column.rz-column-xs-hide-sort .rzi-grid-sort {
        display: none;
    }

    .rz-sortable-column.rz-column-xs-hide-sort.rz-text-align-center .rz-column-title {
        padding-left: 0px !important;
    }

    .rz-column-xs-hide-filter .rz-grid-filter-icon {
        display: none;
    }

    th.rz-column-xs-hide {
        width: 0px !important;
        min-width: unset !important;
        --rz-grid-header-cell-border: none;
    }

    td.rz-column-xs-hide {
        width: 0px !important;
        min-width: unset !important;
        --rz-grid-right-cell-border: none;
    }

    .lmsv-max-height-xs-unset {
        max-height: unset !important;
    }

    :root {
        --rz-col-hide-xs: 0px;
    }
}

@media (max-width: 767px) {
    .rz-sortable-column.rz-column-sm-hide-sort .rzi-grid-sort {
        display: none;
    }

    .rz-sortable-column.rz-column-sm-hide-sort.rz-text-align-center .rz-column-title {
        padding-left: 0px !important;
    }

    .rz-column-sm-hide-filter .rz-grid-filter-icon {
        display: none;
    }

    th.rz-column-sm-hide {
        width: 0px !important;
        min-width: unset !important;
        --rz-grid-header-cell-border: none;
    }

    td.rz-column-sm-hide {
        width: 0px !important;
        min-width: unset !important;
        --rz-grid-right-cell-border: none;
    }

    .lmsv-max-height-sm-unset {
        max-height: unset !important;
    }

    :root {
        --rz-col-hide-sm: 0px;
    }
}

@media (max-width: 1023px) {
    .rz-sortable-column.rz-column-md-hide-sort .rzi-grid-sort {
        display: none;
    }

    .rz-sortable-column.rz-column-md-hide-sort.rz-text-align-center .rz-column-title {
        padding-left: 0px !important;
    }

    .rz-column-md-hide-filter .rz-grid-filter-icon {
        display: none;
    }

    th.rz-column-md-hide {
        width: 0px !important;
        min-width: unset !important;
        --rz-grid-header-cell-border: none;
    }

    td.rz-column-md-hide {
        width: 0px !important;
        min-width: unset !important;
        --rz-grid-right-cell-border: none;
    }

    .lmsv-max-height-md-unset {
        max-height: unset !important;
    }

    :root {
        --rz-col-hide-md: 0px;
    }
}

@media (max-width: 1279px) {
    .rz-sortable-column.rz-column-lg-hide-sort .rzi-grid-sort {
        display: none;
    }

    .rz-sortable-column.rz-column-lg-hide-sort.rz-text-align-center .rz-column-title {
        padding-left: 0px !important;
    }

    .rz-column-lg-hide-filter .rzi.rz-grid-filter-icon {
        display: none;
    }

    th.rz-column-lg-hide {
        width: 0px !important;
        min-width: unset !important;
        --rz-grid-header-cell-border: none;
    }

    td.rz-column-lg-hide {
        width: 0px !important;
        min-width: unset !important;
        --rz-grid-right-cell-border: none;
    }

    .lmsv-max-height-lg-unset {
        max-height: unset !important;
    }

    :root {
        --rz-col-hide-lg: 0px;
    }
}

@media (max-width: 1919px) {
    .rz-sortable-column.rz-column-xl-hide-sort .rzi-grid-sort {
        display: none;
    }

    .rz-sortable-column.rz-column-xl-hide-sort.rz-text-align-center .rz-column-title {
        padding-left: 0px !important;
    }

    .rz-column-xl-hide-filter .rzi.rz-grid-filter-icon {
        display: none;
    }

    th.rz-column-xl-hide {
        width: 0px !important;
        min-width: unset !important;
        --rz-grid-header-cell-border: none;
    }

    td.rz-column-xl-hide {
        width: 0px !important;
        min-width: unset !important;
        --rz-grid-right-cell-border: none;
    }

    .lmsv-max-height-xl-unset {
        max-height: unset !important;
    }

    :root {
        --rz-col-hide-xl: 0px;
    }
}

@media (max-width: 2559px) {
    .rz-sortable-column.rz-column-xx-hide-sort .rzi-grid-sort {
        display: none;
    }

    .rz-sortable-column.rz-column-xx-hide-sort.rz-text-align-center .rz-column-title {
        padding-left: 0px !important;
    }

    .rz-column-xx-hide-filter .rzi.rz-grid-filter-icon {
        display: none;
    }

    th.rz-column-xx-hide {
        width: 0px !important;
        min-width: unset !important;
        --rz-grid-header-cell-border: none;
    }

    td.rz-column-xx-hide {
        width: 0px !important;
        min-width: unset !important;
        --rz-grid-right-cell-border: none;
    }

    .lmsv-max-height-xx-unset {
        max-height: unset !important;
    }

    :root {
        --rz-col-hide-xx: 0px;
    }
}
/*Unset grid height when height too small*/
@media (max-height: 600px) {
    div [class^='lmsv-max-height-'], div[class*=' lmsv-max-height-'] {
        max-height: unset !important;
    }
}
/*Stretch fieldset Height*/
.rz-fieldset.stretch-fieldset-height, .rz-fieldset.stretch-fieldset-height > .rz-fieldset-content-wrapper, .rz-fieldset.stretch-fieldset-height > .rz-fieldset-content-wrapper > .rz-fieldset-content, .rz-fieldset:has(.rz-form-field.stretch-formfield-textarea):not(:has(.rz-fieldset)), .rz-fieldset:has(.rz-form-field.stretch-formfield-textarea):not(:has(.rz-fieldset)) > .rz-fieldset-content-wrapper, .rz-fieldset:has(.rz-form-field.stretch-formfield-textarea):not(:has(.rz-fieldset)) > .rz-fieldset-content-wrapper > .rz-fieldset-content, .rz-form-field.stretch-formfield-textarea, .rz-form-field.stretch-formfield-textarea > .rz-form-field-content, .rz-form-field.stretch-formfield-textarea > .rz-form-field-content > .rz-textarea {
    height: 100%;
}

    .rz-fieldset.stretch-fieldset-height .rz-fieldset-content-wrapper {
        overflow: visible;
    }
/*FormField Virtual GiftCard Create Screen*/
.lmsv-virtual-gc-create-recipient div[class^='rz-fieldset'], .lmsv-virtual-gc-create-recipient .lmsv-email-message .rz-form-field-content {
    height: 100%
}
/*Invalid Grid Cell*/
:root {
    --lmsv-invalid-cell-bg-color-invalid-even: rgba(249, 119, 127, 0.15);
    --lmsv-invalid-cell-bg-color-invalid-odd: rgba(249, 119, 127, 0.08);
    --lmsv-invalid-cell-bg-color-warning-even: rgba(250, 193, 82, 0.08);
    --lmsv-invalid-cell-bg-color-warning-odd: rgba(250, 193, 82, 0.03);
}

.rz-grid-table-striped tbody > tr:not(.rz-expanded-row-content):nth-child(even) > td.invalidCell {
    background-color: var(--lmsv-invalid-cell-bg-color-invalid-even);
}

.rz-grid-table-striped tbody > tr:not(.rz-expanded-row-content):nth-child(odd) > td.invalidCell {
    background-color: var(--lmsv-invalid-cell-bg-color-invalid-odd);
}

.rz-grid-table-striped tbody > tr:not(.rz-expanded-row-content):nth-child(even) > td.warningCell {
    background-color: var(--lmsv-invalid-cell-bg-color-warning-even);
}

.rz-grid-table-striped tbody > tr:not(.rz-expanded-row-content):nth-child(odd) > td.warningCell {
    background-color: var(--lmsv-invalid-cell-bg-color-warning-odd);
}

.rz-grid-table td.invalidCell .rz-cell-data {
    color: var(--rz-primary);
}
/*SideBar Icon Expanded*/
/*Define sidebar width variable*/
:root {
    --rz-sidebar-icon-width: calc(2 * var(--rz-sidebar-toggle-padding) + var(--rz-sidebar-toggle-icon-width) + var(--rz-border-width));
}
/*Keep the Navigation text from wrapping when transitioning*/
.rz-navigation-item {
    white-space: nowrap;
}
/*Determines when the UI becomes icon only*/
@media (min-width: 576px) and (max-width: 1279px) {
    /*Set the width when icon only*/
    .rz-sidebar-expanded {
        width: var(--rz-sidebar-icon-width);
    }
        /*Hide the text elements*/
        .rz-sidebar-expanded :is(.rz-navigation-item-text, .rz-navigation-item-icon-children) {
            width: 0px;
            opacity: 0;
        }
        /*Expand the sidebar on hover*/
        .rz-sidebar-expanded:hover {
            width: var(--rz-sidebar-width);
            margin-right: calc(-1 * (var(--rz-sidebar-width) - var(--rz-sidebar-icon-width)));
        }
            /*Show the text elements on hover*/
            .rz-sidebar-expanded:hover :is(.rz-navigation-item-text, .rz-navigation-item-icon-children) {
                width: unset;
                opacity: unset;
            }
}

@media (max-width: 575px) {
    .rz-sidebar-expanded {
        width: 100vw;
        margin-right: -100vw;
    }

    .rz-sidebar-collapsed {
        border-right-width: 0px;
    }
}

@media (max-width: 768px) {
    .rz-body {
        width: unset;
    }
}
